# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/net/bluetooth/nxp,88w8987-bt.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: NXP Bluetooth chips

description:
  This binding describes UART-attached NXP bluetooth chips. These chips
  are dual-radio chips supporting WiFi and Bluetooth. The bluetooth
  works on standard H4 protocol over 4-wire UART. The RTS and CTS lines
  are used during FW download. To enable power save mode, the host
  asserts break signal over UART-TX line to put the chip into power save
  state. De-asserting break wakes up the BT chip.

maintainers:
  - Neeraj Sanjay Kale <neeraj.sanjaykale@nxp.com>

properties:
  compatible:
    enum:
      - nxp,88w8987-bt
      - nxp,88w8997-bt

  fw-init-baudrate:
    $ref: /schemas/types.yaml#/definitions/uint32
    default: 115200
    description:
      Chip baudrate after FW is downloaded and initialized.
      This property depends on the module vendor's
      configuration.

  firmware-name:
    maxItems: 1

  device-wakeup-gpios:
    maxItems: 1
    description:
      Host-To-Chip power save mechanism is driven by this GPIO
      connected to BT_WAKE_IN pin of the NXP chipset.

required:
  - compatible

additionalProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>
    serial {
        bluetooth {
            compatible = "nxp,88w8987-bt";
            fw-init-baudrate = <3000000>;
            firmware-name = "uartuart8987_bt_v0.bin";
            device-wakeup-gpios = <&gpio 11 GPIO_ACTIVE_HIGH>;
        };
    };
